be.fgov.ehealth.rn.baselegaldata.v1

## Class BirthInfoDeclarationType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.BirthInfoDeclarationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-04-08T03:32:03+02:00",
                 comments="JAXB RI v2.3.7")
      public class BirthInfoDeclarationType
      extends Object
      implements Serializable

  Java class for BirthInfoDeclarationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="BirthInfoDeclarationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="BirthDate" type="{urn:be:fgov:ehealth:rn:commons:business:v1}IncompleteDateType" minOccurs="0"/>
               <element name="BirthPlace" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}LocationDeclarationType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BirthInfoDeclarationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBirthDate()` Gets the value of the birthDate property.
    `LocationDeclarationType` | `getBirthPlace()` Gets the value of the birthPlace property.
    `void` | `setBirthDate(String value)` Sets the value of the birthDate property.
    `void` | `setBirthPlace(LocationDeclarationType value)` Sets the value of the birthPlace property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BirthInfoDeclarationType

          public BirthInfoDeclarationType()

  - ### Method Detail

    - #### getBirthDate

          public String getBirthDate()

      Gets the value of the birthDate property.
      Returns:
        possible object is `String`

    - #### setBirthDate

          public void setBirthDate(String value)

      Sets the value of the birthDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBirthPlace

          public LocationDeclarationType getBirthPlace()

      Gets the value of the birthPlace property.
      Returns:
        possible object is `LocationDeclarationType`

    - #### setBirthPlace

          public void setBirthPlace(LocationDeclarationType value)

      Sets the value of the birthPlace property.
      Parameters:
        `value` - allowed object is `LocationDeclarationType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.